<template>
  <el-container>
    <el-header height="60px" class="content-header">
      <MyHeader
        :title="'信息系统清单'"
        :formData="headerFormData"
        @submit="handleHeaderFormSubmit"
      ></MyHeader>
    </el-header>
    <el-container>
      <el-main>
        <MyTableHeader
          :title="tableHeaderTitle"
          :tabs="tabs"
          :buttons="buttons"
          @tabClick="handleTabClick"
          @buttonClick="handleButtonClick"
        ></MyTableHeader>

        <MyTable
          :tableData="tableData"
          :formData="formData"
          :minWidth="340"
          ref="myTableRef"
          @selection-change="handleSelectionChange"
        >
          <!-- 自定义操作按钮，传递 row 和 index -->
          <template #operation="{ row, index }">
            <el-button
              size="mini"
              @click="handleCopy(row, 'view')"
              type="primary"
              >复制</el-button
            >
            <el-button
              size="mini"
              @click="handleView(row, 'view')"
              type="primary"
              >详情</el-button
            >
        
            <el-button
              v-if="row.status === 1"
              size="mini"
              @click="handleStop(row, index)"
              type="primary"
              >停用</el-button
            >
            <el-button size="mini" @click="handleDelete(row)" type="primary"
              >删除</el-button
            >
          </template>
        </MyTable>
        <MyPagination
          :total="tableTotal"
          :page-size="pageSize"
          :current-page="currentPage"
          @pageChange="pagi_changePage"
          @sizeChange="pagi_changeSize"
        ></MyPagination>
      </el-main>
    </el-container>

    <!-- <div v-if="showDialog">
      <ConfigDialog
        v-model="showDialog"
        :title="title"
        :rowObj="rowObj"
        @confirm="getList"
        @before-close=""
      ></ConfigDialog>
    </div> -->
  </el-container>
</template>
<script>
import { queryMisList, addMis, updateMis, queryMisMsg, falseDeleteMis } from '@/api/unified-resources/information-system/index.js'
import MyHeader from "@/components/MyHeader";
import MyTable from "@/components/MyTable";
import MyPagination from "@/components/MyPagination";
import MyTableHeader from "@/components/MyTableHeader";
// import ConfigDialog from "./dialog/ConfigDialog.vue";
export default {
  name: "access-config",
  components: {
    MyHeader,
    MyTableHeader,
    MyTable,
    MyPagination,
    // ConfigDialog,
  },
  data() {
    return {
      showDialog: false,
      title: "新增",
      rowObj: {},
      type: "add",
      tableData: [],
      formData: [
        {
          label: "系统名称",
          fieldName: "dataManner",
          type: "input",
          showInTable: true,
          value: "",
          width: "",
        },
        {
          label: "系统简称",
          fieldName: "gatewayIp",
          type: "input",
          showInTable: true,
          value: "",
          width: "",
        },
        {
          label: "所属单位",
          fieldName: "gatewayPort",
          type: "input",
          showInTable: true,
          value: "",
          width: "",
        },
        {
          label: "系统类型",
          fieldName: "sixIp",
          type: "input",
          showInTable: true,
          value: "",
          width: "",
        },
        {
          label: "是否对应职责目录",
          fieldName: "sixPort",
          type: "input",
          showInTable: true,
          value: "",
          width: "",
        },
       
      ],
      tableTotal: 0,
      pageSize: 10,
      currentPage: 1,
      selectedRows: [], // 存储选中的行数据
      searchForm: {},
      treeSearchVal: "",
      tableHeaderTitle: "项目列表",
      tabs: [],
      buttons: [
        {
          label: "新增",
          type: "primary",
          methodName: "action1",
          icon: "el-icon-circle-plus",
        },
     
      ],

      headerFormData: [
        {
          label: "信息系统名称",
          fieldName: "misProjectName",
          type: "input",
          value: "",
          placeholder: "请输入信息系统名称",
          // isRequired: true,
        },
      
        {
          label: "所属单位",
          fieldName: "belongDepartment",
          type: "select",
          value: "",
          placeholder: "请选择所属单位",
          isRequired: true,
          options: [
            { label: "男", value: "male" },
            { label: "女", value: "female" },
          ],
        },
        // {
        //   label: "生日",
        //   fieldName: "birthdate",
        //   type: "date",
        //   value: "",
        //   placeholder: "请选择生日",
        //   isRequired: false,
        // },
      ],
    };
  },

  methods: {
    // 头部搜索框
    handleHeaderFormSubmit(form) {
      this.searchForm = form;
      this.getList();
    },
    // 树结构点击
    handleNodeClick() {},
    // 列表头部
    handleTabClick(tab) {
      this.tabs.forEach((item) => {
        if (item.label === tab.label) {
          item.active = true;
        } else {
          item.active = false;
        }
      });
    },
    // 列表头部功能按钮
    handleButtonClick(methodName) {
      console.log(methodName, "methodName");

      switch (methodName) {
        case "action1":
          // 新增
          this.rowObj = {};
          this.title = "新增";
          this.showDialog = true;
          break;
  
        default:
          break;
      }
    },
    // 处理选中项变化
    handleSelectionChange(selectedRows) {
      this.selectedRows = selectedRows; // 获取选中的行
    },

    getList() {
      queryMisList({
        pageNumber: this.currentPage,
        pageSize: this.pageSize,
        ...this.searchForm,
      }).then((res) => {
        if (+res.code === 200) {
          this.tableData = res.data;
          this.tableTotal = +res.total;
        }
      });
    },
    // 列表分页
    pagi_changePage(page) {
      this.currentPage = page;
      this.getList();
    },
    pagi_changeSize(size) {
      this.pageSize = size;
      this.getList();
    },

    // 弹窗
    handleConfirm() {
      this.dialogVisible = true;
    },
    handleClose() {
      this.dialogVisible = false;
    },

    // 编辑
    handleView(row) {
      this.rowObj = row;
      this.title = "查看";
      this.showDialog = true;
    },
    handleEdit(row) {
      console.log(row, "row");
      this.rowObj = row;
      this.title = "编辑";
      this.showDialog = true;
    },

    beforeClose() {
      this.showDialog = false;
    },

  
    handleDelete(row) {
      this.$confirm("此操作将永久删除该文件, 是否继续?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        center: true,
        type: "warning",
      })
        .then(() => {
          falseDeleteMis({ ids: row.id }).then((res) => {
            if (+res.code === 200) {
              this.$message({
                message: res.msg,
                type: "success",
              });
              this.getList();
            } else {
              this.$message.error(res.msg);
            }
          });
        })
        .catch(() => {
          this.$message({
            type: "info",
            message: "已取消删除",
          });
        });
      console.log(row, "row");
    },
  },
  created() {},
  mounted() {
    this.getList();
  },
};
</script>
<style lang="scss" scoped>
.el-main {
  padding: 0 20px;
}

.el-icon-search {
  font-size: 16px;
  font-weight: 700;
  color: #1e80e0;
}
</style>
